// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [Messages] = ReceiveMessage(MessagePointName,...//имя точки обмена сообщениями
                                     WaitMessage...//Ожидание сообщения
                                     )
    //Значения по умолчанию
    nArg = argn(2);
    if (nArg < 1) || (nArg > 2) then
        error('This function takes 1 or 2 arguments');
        Messages = [];
        return;
    elseif nArg == 1 then
        WaitMessage = %f;
    end
    
    //Получаем сообщения
    Messages = SOCKET_read(MessagePointName);//Считываем сообщения
    while (isempty(Messages) && WaitMessage)
        Messages = SOCKET_read(MessagePointName);//Считываем сообщения
    end
endfunction
// ====================================================================
